> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Managed Auth Connection Update



## OpenAPI

````yaml https://api.notte.cc/openapi.json patch /managed-auth/connections/{connection_id}
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /managed-auth/connections/{connection_id}:
    patch:
      tags:
        - managed-auth
      summary: Managed Auth Connection Update
      operationId: managed_auth_connection_update
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            title: Connection Id
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManagedAuthConnectionUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagedAuthConnection'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples: []
components:
  schemas:
    ManagedAuthConnectionUpdateRequest:
      properties:
        label:
          anyOf:
            - type: string
              maxLength: 120
              minLength: 1
            - type: 'null'
          title: Label
        schedule:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Schedule
      type: object
      title: ManagedAuthConnectionUpdateRequest
    ManagedAuthConnection:
      properties:
        id:
          type: string
          title: Id
        template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Id
        template_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Slug
        template_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Name
        label:
          type: string
          title: Label
        domain:
          type: string
          title: Domain
        login_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Login Url
        allowed_domains:
          items:
            type: string
          type: array
          title: Allowed Domains
        profile_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Id
        vault_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Vault Id
        login_source_function_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Login Source Function Id
        login_source_function_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Login Source Function Version
        verifier_source_function_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Verifier Source Function Id
        verifier_source_function_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Verifier Source Function Version
        functions_editable:
          type: boolean
          title: Functions Editable
          default: false
        status:
          type: string
          enum:
            - provisioning
            - resetting
            - setup_required
            - authenticated
            - needs_reauth
            - error
            - disconnected
          title: Status
        reauth_mode:
          type: string
          enum:
            - auto
            - manual
          title: Reauth Mode
        last_checked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Checked At
        last_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error
        disconnected_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Disconnected At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - label
        - domain
        - status
        - reauth_mode
        - created_at
        - updated_at
      title: ManagedAuthConnection
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````